PanelBorder (gCube Join New Portlet 2.1.0-SNAPSHOT API)
Date: 2015-02-13

org.gcube.portlets.user.joinnew.client.commons

## Class PanelBorder

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.SimplePanel
        - - org.gcube.portlets.user.joinnew.client.commons.PanelBorder

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.AcceptsOneWidget, com.google.gwt.user.client.ui.HasOneWidget, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, Iterable<com.google.gwt.user.client.ui.Widget>

      public class PanelBorder
      extends com.google.gwt.user.client.ui.SimplePanel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelBorder()` Create a new `DecoratorPanel`.
    `PanelBorder(String[] rowStyles, int containerIndex)` Creates a new panel using the specified style names to apply to each row.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.google.gwt.user.client.Element` | `getCellElement(int row, int cell)` Get a specific Element from the panel.
    `protected com.google.gwt.user.client.Element` | `getContainerElement()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.SimplePanel

      `add, getWidget, iterator, remove, setWidget, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelBorder

          public PanelBorder()

      Create a new `DecoratorPanel`.

    - #### PanelBorder

          public PanelBorder(String[] rowStyles,
                     int containerIndex)

      Creates a new panel using the specified style names to apply to each row. Each row will contain three cells (Left, Center, and Right). The Center cell in the containerIndex row will contain the `Widget`.
      Parameters:
        `rowStyles` - an array of style names to apply to each row
        `containerIndex` - the index of the container row

  - ### Method Detail

    - #### getCellElement

          protected com.google.gwt.user.client.Element getCellElement(int row,
                                                          int cell)

      Get a specific Element from the panel.
      Parameters:
        `row` - the row index
        `cell` - the cell index
      Returns:
        the Element at the given row and cell

    - #### getContainerElement

          protected com.google.gwt.user.client.Element getContainerElement()

      Overrides:
        `getContainerElement` in class `com.google.gwt.user.client.ui.SimplePanel`

Copyright © 2015. All Rights Reserved.